%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname -d %{name}
%define develsname	%mklibname -d -s %{name}

%define sname	SDL2_ttf

Summary:	Simple DirectMedia Layer 2 - Sample TrueType Font Library
Name:		sdl2_ttf
Version:	2.20.2
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_ttf
Source0:	https://www.libsdl.org/projects/SDL_ttf/release/%{sname}-%{version}.tar.gz

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(sdl2)

%description
This is a sample library which allows you to use TrueType fonts in your SDL2
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
https://freetype.org/ for details.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries
Conflicts:	showfont
Conflicts:	%{_lib}SDL_ttf2.0_0-test

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
%configure
%make_build

%install
%make_install

install -d %{buildroot}%{_bindir}
install -m755 .libs/{showfont,glfont} %{buildroot}%{_bindir}

%files -n %{libname}-test
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/cmake/%{sname}/

%files -n %{develsname}
%{_libdir}/lib*.a


%changelog
* Wed Feb 08 2023 daviddavid <daviddavid> 2.20.2-1.mga9
+ Revision: 1939394
- new version: 2.20.2

* Fri Dec 02 2022 daviddavid <daviddavid> 2.20.1-1.mga9
+ Revision: 1913982
- new version: 2.20.1

* Fri Apr 01 2022 umeabot <umeabot> 2.0.18-2.mga9
+ Revision: 1839074
- Mageia 9 Mass Rebuild

* Fri Apr 01 2022 akien <akien> 2.0.18-1.mga9
+ Revision: 1837892
- Version 2.0.18

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.0.15-3.mga9
+ Revision: 1789998
- fix files list

* Fri Feb 14 2020 umeabot <umeabot> 2.0.15-2.mga8
+ Revision: 1522349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 25 2019 daviddavid <daviddavid> 2.0.15-1.mga7
+ Revision: 1360666
- new version: 2.0.15

* Sun Sep 23 2018 umeabot <umeabot> 2.0.14-2.mga7
+ Revision: 1300976
- Mageia 7 Mass Rebuild

* Sat Aug 13 2016 akien <akien> 2.0.14-1.mga6
+ Revision: 1046147
- Version 2.0.14

* Sun Jan 10 2016 akien <akien> 2.0.13-1.mga6
+ Revision: 921132
- Version 2.0.13

* Wed Oct 15 2014 umeabot <umeabot> 2.0.12-3.mga5
+ Revision: 741446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.12-2.mga5
+ Revision: 689093
- Mageia 5 Mass Rebuild

* Sun Dec 08 2013 blue_prawn <blue_prawn> 2.0.12-1.mga4
+ Revision: 555869
- providing SDL's Zlib license to our users
- static split
+ akien <akien>
- Fixed licensing
- Adapted forked specfile to sdl2_ttf
- Forking SDL_ttf into sdl2_ttf
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- fix linkage
- new version 2.0.11
- fix linkage
- rebuild
+ blino <blino>
- remove old ldconfig scriptlets
- imported package SDL_ttf

